"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrickImportContentProvider = void 0;
const vscode = require("vscode");
const child_process_1 = require("child_process");
class BrickImportContentProvider {
    constructor(anytobrick_command) {
        // emitter and its event
        this.onDidChangeEmitter = new vscode.EventEmitter();
        this.onDidChange = this.onDidChangeEmitter.event;
        this.anytobrick_command = anytobrick_command;
    }
    provideTextDocumentContent(uri) {
        const full_command = this.anytobrick_command + ' ' + uri.fsPath.slice(0, -6);
        return new Promise((resolve, reject) => {
            (0, child_process_1.exec)(full_command, (error, stdout, stderr) => {
                if (error) {
                    reject(error);
                }
                else if (stderr) {
                    reject(new Error(stderr));
                }
                else {
                    resolve(stdout);
                }
            });
        });
    }
}
exports.BrickImportContentProvider = BrickImportContentProvider;
//# sourceMappingURL=brickimportcontent-provider.js.map